/*
	WinSTon
*/

typedef struct {
	BOOL bDoubleSizeWindow;
	BOOL bAllowOverscan;
	BOOL bInterlacedFullScreen;
	BOOL bSyncToRetrace;
	BOOL bFrameSkip;
} DLG_SCREEN_ADVANCED;

typedef struct {
	BOOL bFullScreen;
	DLG_SCREEN_ADVANCED Advanced;
	int ChosenDisplayMode;

	BOOL bCaptureChange;
	int nFramesPerSecond;
	BOOL bUseHighRes;
} DLG_SCREEN;

extern void Dialog_Screen_SetDefaults(void);
extern void Dialog_Screen_ClearHandle(void);
extern HWND Dialog_Screen_GetHandle(void);
extern int Dialog_Screen_LimitFramesPerSecond(int nFramesPerSecond);
extern BOOL FAR PASCAL Dialog_Screen_DlgProc(HWND hDlg, UINT Message, UINT wParam, LONG lParam);
extern void Dialog_Screen_CreateAdvancedDialog(HWND hWnd);
